Fapi_CreateSeal(3)

NAME
Fapi_CreateSeal - Fapi_CreateSeal

SYNOPSIS

  Functions

TSS2_RC Fapi_CreateSeal (FAPI_CONTEXT *context, char const *path, char const *type, size_t size, char const *policyPath, char const *authValue, uint8_t const *data)
TSS2_RC Fapi_CreateSeal_Async (FAPI_CONTEXT *context, char const *path, char const *type, size_t size, char const *policyPath, char const *authValue, uint8_t const *data)
TSS2_RC Fapi_CreateSeal_Finish (FAPI_CONTEXT *context)

Detailed Description

FAPI functions to invoke CreateSeal either as one-call or in an asynchronous manner.

Function Documentation

  TSS2_RC Fapi_CreateSeal (FAPI_CONTEXT * context, char const * path, char const * type, size_t size, char const * policyPath, char const * authValue, uint8_t const * data)
One-Call function for Fapi_CreateSeal

Creates a sealed object and stores it in the FAPI metadata store. If no data is provided, the TPM generates random data to fill the sealed object.

Parameters
    context The FAPI_CONTEXT
    path The path to the new sealed object
    type The type of the new sealed object. May be NULL
    size The size of the new sealed object. Must not be 0
    policyPath The path to the policy that is associated with the new sealed object. May be NULL
    authValue The authorization value for the new sealed object. May be NULL
    data The data that is to be sealed within the new object. May be NULL

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context, or path is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_KEY_NOT_FOUND if the parent key does not map to a FAPI key.
    TSS2_FAPI_RC_BAD_PATH if policyPath is non-NULL and does not map to a FAPI key.
    TSS2_FAPI_RC_PATH_ALREADY_EXISTS if a sealed object already exists at path.
    TSS2_FAPI_RC_BAD_VALUE if the keyType is invalid.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_NO_TPM if FAPI was initialized in no-TPM-mode via its config file.
    TSS2_FAPI_RC_TRY_AGAIN if an I/O operation is not finished yet and this function needs to be called again.
    TSS2_FAPI_RC_AUTHORIZATION_UNKNOWN if a required authorization callback is not set.
    TSS2_ESYS_RC_* possible error codes of ESAPI.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occured.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.
    TSS2_FAPI_RC_AUTHORIZATION_FAILED if the authorization attempt fails.
    TSS2_FAPI_RC_POLICY_UNKNOWN if policy search for a certain policy digest was not successful.

  TSS2_RC Fapi_CreateSeal_Async (FAPI_CONTEXT * context, char const * path, char const * type, size_t size, char const * policyPath, char const * authValue, uint8_t const * data)
Asynchronous function for Fapi_CreateSeal

Creates a sealed object and stores it in the FAPI metadata store. If no data is provided, the TPM generates random data to fill the sealed object.

Call Fapi_CreateSeal_Finish to finish the execution of this command.

Parameters
    context The FAPI_CONTEXT
    path The path to the new sealed object
    type The type of the new sealed object. May be NULL
    size The size of the new sealed object. Must not be 0
    policyPath The path to the policy that is associated with the new sealed object. May be NULL
    authValue The authorization value for the new sealed object. May be NULL
    data The data that is to be sealed within the new object. May be NULL

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context, or path is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_KEY_NOT_FOUND if the parent key does not map to a FAPI key.
    TSS2_FAPI_RC_BAD_PATH if policyPath is non-NULL and does not map to a FAPI key.
    TSS2_FAPI_RC_PATH_ALREADY_EXISTS if a sealed object already exists at path.
    TSS2_FAPI_RC_BAD_VALUE if the keyType is invalid.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_NO_TPM if FAPI was initialized in no-TPM-mode via its config file.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.

  TSS2_RC Fapi_CreateSeal_Finish (FAPI_CONTEXT * context)
Asynchronous finish function for Fapi_CreateSeal

This function should be called after a previous Fapi_CreateSeal.

Parameters
    context The FAPI_CONTEXT

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_TRY_AGAIN if the asynchronous operation is not yet complete. Call this function again later.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_AUTHORIZATION_UNKNOWN if a required authorization callback is not set.
    TSS2_ESYS_RC_* possible error codes of ESAPI.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occured.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_BAD_PATH if the path is used in inappropriate context or contains illegal characters.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_AUTHORIZATION_FAILED if the authorization attempt fails.
    TSS2_FAPI_RC_POLICY_UNKNOWN if policy search for a certain policy digest was not successful.
    TSS2_FAPI_RC_PATH_ALREADY_EXISTS if the object already exists in object store.

Author

Generated automatically by Doxygen for tpm2-tss from the source code.